# ant

abstract fun ant(@DelegatesTo(value = AntBuilder::class) configureClosure: Closure): AntBuilder

Executes the given closure against the `AntBuilder` for this project. You can use this in your build file to execute ant tasks. The `AntBuild` is passed to the closure as the closure's delegate. See example in javadoc for getAnt

#### Return

The `AntBuilder`. Never returns null.

#### Parameters

configureClosure

The closure to execute against the `AntBuilder`.

abstract fun ant(configureAction: Action<in AntBuilder>): AntBuilder

Executes the given action against the `AntBuilder` for this project. You can use this in your build file to execute ant tasks. See example in javadoc for getAnt

#### Return

The `AntBuilder`. Never returns null.

#### Since

3.5

#### Parameters

configureAction

The action to execute against the `AntBuilder`.